WKSParser Class Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
WKSParser Class Referenceabstract

`#include <WKSParser.h>`

Inheritance diagram for WKSParser:

## Public Member Functions
| WKSParser (RVNGInputStreamPtr &input, WPSHeaderPtr &header)
virtual | ~WKSParser ()
virtual void | parse (librevenge::RVNGSpreadsheetInterface *documentInterface)=0

## Protected Member Functions
RVNGInputStreamPtr & | getInput ()
void | resetInput (RVNGInputStreamPtr newInput)
RVNGInputStreamPtr | getFileInput ()
WPSHeaderPtr & | getHeader ()
int | version () const
void | setVersion (int vers)
libwps::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Private Member Functions
| WKSParser (const WKSParser &)
WKSParser & | operator= (const WKSParser &)

## Private Attributes
RVNGInputStreamPtr | m_input
WPSHeaderPtr | m_header
int | m_version
libwps::DebugFile | m_asciiFile
| the debug file More...

## Constructor & Destructor Documentation

## ◆ WKSParser() [1/2]

WKSParser::WKSParser | ( | RVNGInputStreamPtr & | input,
|  | WPSHeaderPtr & | header
| ) |  |

Referenced by ascii().

## ◆ ~WKSParser()

WKSParser::~WKSParser | ( |  | ) |
| virtual

## ◆ WKSParser() [2/2]

WKSParser::WKSParser | ( | const WKSParser & |  | ) |
| explicitprivate

## Member Function Documentation

## ◆ ascii()

libwps::DebugFile& WKSParser::ascii | ( |  | ) |
| inlineprotected

a DebugFile used to write what we recognize when we parse the document

Referenced by QuattroParser::checkHeader(), WKS4Parser::checkHeader(), LotusParser::checkHeader(), LotusParser::createZones(), QuattroParser::parse(), WKS4Parser::parse(), LotusParser::parse(), WKS4Parser::readChart2Font(), QuattroParser::readChartDef(), WKS4Parser::readChartDef(), WKS4Parser::readChartFont(), WKS4Parser::readChartLimit(), WKS4Parser::readChartList(), QuattroParser::readChartName(), WKS4Parser::readChartName(), WKS4Parser::readChartUnknown(), QuattroParser::readFieldName(), WKS4Parser::readFieldName(), WKS4Parser::readFont(), QuattroParser::readHeaderFooter(), WKS4Parser::readHeaderFooter(), WKS4Parser::readPrn2(), WKS4Parser::readPrnt(), QuattroParser::readUnknown1(), WKS4Parser::readUnknown1(), QuattroParser::readUserFonts(), QuattroParser::readWindowRecord(), WKS4Parser::readWindowRecord(), QuattroParser::readZone(), WKS4Parser::readZone(), WKS4Parser::readZoneQuattro(), QuattroParser::readZones(), WKS4Parser::readZones(), and WKS4Parser::resetMainInput().

## ◆ getFileInput()

RVNGInputStreamPtr WKSParser::getFileInput | ( |  | ) |
| protected

Referenced by WKS4Parser::parseFormatStream(), LotusParser::parseFormatStream(), and resetInput().

## ◆ getHeader()

WPSHeaderPtr& WKSParser::getHeader | ( |  | ) |
| inlineprotected

## ◆ getInput()

RVNGInputStreamPtr& WKSParser::getInput | ( |  | ) |
| inlineprotected

Referenced by QuattroParser::checkFilePosition(), WKS4Parser::checkFilePosition(), QuattroParser::checkHeader(), WKS4Parser::checkHeader(), LotusParser::checkHeader(), QuattroParser::createListener(), WKS4Parser::createListener(), LotusParser::createListener(), LotusParser::createZones(), QuattroParser::parse(), WKS4Parser::parse(), LotusParser::parse(), WKS4Parser::readChart2Font(), QuattroParser::readChartDef(), WKS4Parser::readChartDef(), WKS4Parser::readChartFont(), WKS4Parser::readChartLimit(), WKS4Parser::readChartList(), QuattroParser::readChartName(), WKS4Parser::readChartName(), WKS4Parser::readChartUnknown(), QuattroParser::readFieldName(), WKS4Parser::readFieldName(), WKS4Parser::readFont(), QuattroParser::readHeaderFooter(), WKS4Parser::readHeaderFooter(), WKS4Parser::readPrn2(), WKS4Parser::readPrnt(), QuattroParser::readUnknown1(), WKS4Parser::readUnknown1(), QuattroParser::readUserFonts(), QuattroParser::readWindowRecord(), WKS4Parser::readWindowRecord(), QuattroParser::readZone(), WKS4Parser::readZone(), WKS4Parser::readZoneQuattro(), QuattroParser::readZones(), and WKS4Parser::readZones().

## ◆ operator=()

WKSParser& WKSParser::operator= | ( | const WKSParser & |  | ) |
| private

Referenced by ascii(), QuattroSpreadsheet::setListener(), and WKS4Spreadsheet::setListener().

## ◆ parse()

virtual void WKSParser::parse | ( | librevenge::RVNGSpreadsheetInterface * | documentInterface | ) |
| pure virtual

Implemented in LotusParser, WKS4Parser, and QuattroParser.

## ◆ resetInput()

void WKSParser::resetInput | ( | RVNGInputStreamPtr | newInput | ) |
| inlineprotected

Referenced by WKS4Parser::resetMainInput(), and WKS4Spreadsheet::setListener().

## ◆ setVersion()

void WKSParser::setVersion | ( | int | vers | ) |
| inlineprotected

## ◆ version()

int WKSParser::version | ( |  | ) | const
| inlineprotected

## Member Data Documentation

## ◆ m_asciiFile

libwps::DebugFile WKSParser::m_asciiFile
| private

the debug file

Referenced by ascii(), WKS4Format::ascii(), QuattroSpreadsheet::ascii(), and WKS4Spreadsheet::ascii().

## ◆ m_header

WPSHeaderPtr WKSParser::m_header
| private

Referenced by getFileInput(), and getHeader().

## ◆ m_input

RVNGInputStreamPtr WKSParser::m_input
| private

Referenced by getInput(), and resetInput().

## ◆ m_version

int WKSParser::m_version
| private

Referenced by setVersion(), version(), and WKSParser().

The documentation for this class was generated from the following files:

- WKSParser.h
- WKSParser.cpp